tbb::flow::interface11::opencl_info::default_device_filter Struct Reference

`#include <flow_graph_opencl_node.h>`

Collaboration diagram for tbb::flow::interface11::opencl_info::default_device_filter:

## Public Member Functions

opencl_device_list | operator() (const opencl_device_list &devices)

## Detailed Description

Definition at line 1194 of file flow_graph_opencl_node.h.

## Member Function Documentation

## operator()()

opencl_device_list tbb::flow::interface11::opencl_info::default_device_filter::operator() | ( | const opencl_device_list & | devices | ) |

inline

Definition at line 1195 of file flow_graph_opencl_node.h.

{
opencl_device_list dl;
cl_platform_id platform_id = devices.begin()->platform_id();
for (opencl_device_list::const_iterator it = devices.cbegin(); it != devices.cend(); ++it) {
if (it->platform_id() == platform_id) {
dl.add(*it);
}
}
return dl;
}
tbb::flow::interface11::opencl_device_list::const_iterator
container_type::const_iterator const_iterator
Definition: flow_graph_opencl_node.h:271

References tbb::flow::interface11::opencl_device_list::add(), tbb::flow::interface11::opencl_device_list::begin(), tbb::flow::interface11::opencl_device_list::cbegin(), and tbb::flow::interface11::opencl_device_list::cend().

Here is the call graph for this function:

The documentation for this struct was generated from the following file:

- flow_graph_opencl_node.h

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.